// EventSetDetailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "EventSetDetailDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEventSetDetailDlg dialog


CEventSetDetailDlg::CEventSetDetailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEventSetDetailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEventSetDetailDlg)
	m_editEventwParam1 = 0;
	m_editEventType = 0;
	m_editEventwParam2 = 0;
	m_editEventstrParam = _T("");
	m_editEventwParam3 = 0;
	//}}AFX_DATA_INIT
	m_oldwParam1  = 1;
}


void CEventSetDetailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEventSetDetailDlg)
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM1, m_editEventwParam1);
	DDX_Text(pDX, IDC_EDIT_EVENT_TYPE, m_editEventType);
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM2, m_editEventwParam2);
	DDX_Text(pDX, IDC_EDIT_EVENT_STRPARAM, m_editEventstrParam);
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM3, m_editEventwParam3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEventSetDetailDlg, CDialog)
	//{{AFX_MSG_MAP(CEventSetDetailDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEventSetDetailDlg message handlers


void CEventSetDetailDlg::OnOK() 
{
	// TODO: Add extra validation here
	if(m_oldwParam1 > 60000)
		m_oldwParam1 = 0;
	m_oldwParam1++;
	CDialog::OnOK();
}

int CEventSetDetailDlg::DoModal() 
{
	// TODO: Add your specialized code here and/or call the base class
	m_editEventwParam1 = m_oldwParam1;
//	UpdateData(FALSE);
	return CDialog::DoModal();
}
